Bug 1685954 (CVE-2019-9578) - CVE-2019-9578 libu2f-host: leak of uninitialized stack in devs.c
Summary: CVE-2019-9578 libu2f-host: leak of uninitialized stack in devs.c
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-9578
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1685955
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 11:53 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:50:01 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-03-06 11:53:34 UTC
In devs.c in Yubico libu2f-host before 1.1.8, the response to init is misparsed, leaking uninitialized stack memory back to the device.

Upstream commit:
https://github.com/Yubico/libu2f-host/commit/e4bb58cc8b6202a421e65f8230217d8ae6e16eb5

Comment 1 Dhananjay Arunesh 2019-03-06 11:53:51 UTC
Created libu2f-host tracking bugs for this issue:

Affects: fedora-all [bug 1685955]

Comment 2 Dhananjay Arunesh 2019-03-06 11:54:36 UTC
External References:

https://developers.yubico.com/libu2f-host/Release_Notes.html

Comment 3 Product Security DevOps Team 2019-06-10 10:50:01 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.